summaryrefslogtreecommitdiffstats
path: root/streams/deepmix
diff options
context:
space:
mode:
authorFelix Richter <Felix.Richter@syntax-fehler.de>2011-05-29 15:48:47 +0200
committerFelix Richter <Felix.Richter@syntax-fehler.de>2011-05-29 15:48:47 +0200
commit30b44417f91eb100fa67a38e9c1c1f88682c92ef (patch)
treef0c6c97d76c9ac7cfe2c88bdffcaee53ff0bc3ae /streams/deepmix
parent427bdf4e2093217f967384f785e3907930a74a21 (diff)
parent12c77cdbfa4ec48d935af3ae7cf1118e38bec6e1 (diff)
Merge branch 'master' of github.com:krebscode/painload
Diffstat (limited to 'streams/deepmix')
-rwxr-xr-xstreams/deepmix27
1 files changed, 27 insertions, 0 deletions
diff --git a/streams/deepmix b/streams/deepmix
new file mode 100755
index 00000000..8b13bed6
--- /dev/null
+++ b/streams/deepmix
@@ -0,0 +1,27 @@
+#! /bin/bash
+set -euf
+CMD="while :; do mplayer http://deepmix.ru/deepmix128.pls; done"
+function start() {
+ stop
+ tmux list-sessions &&
+ tmux new-window "$CMD" ||
+ tmux new-session "$CMD"
+}
+function stop() {
+ pkill mplayer || :
+}
+case "$1" in
+ start)
+ start
+ ;;
+ stop)
+ stop
+ ;;
+ restart)
+ stop
+ start
+ ;;
+ *)
+ echo "aidsballs"
+ ;;
+esac